function love.load()
    Object = require"classic"
    anim8 = require"anim8"
    
    wf = require'windfield'
    world = wf.newWorld()
    world:addCollisionClass('Player')
    world:addCollisionClass('Bullet', {ignores = {'Player'}})
    world:addCollisionClass('Ghost', {ignores = {'Player', 'Bullet'}})
    
    
    
    require 'player'
    player = Player()
    love.graphics.setBackgroundColor(0.25, 0.25, 0.25)
    
    require 'bullet'
    listOfBullets = {}
    
    require 'ghost'
    listOfGhosts = {}
    table.insert(listOfGhosts, Ghost(100, 100))
    table.insert(listOfGhosts, Ghost(200, 200))
    table.insert(listOfGhosts, Ghost(200, 300))
    table.insert(listOfGhosts, Ghost(300, 200))
    table.insert(listOfGhosts, Ghost(300, 300))
    
    Camera = require'Camera'
    camera = Camera()
    camera:setFollowStyle('TOPDOWN')
end

function love.update(dt)
    player:update(dt)
    world:update(dt)
    camera:update(dt)
    camera:follow(player.x, player.y)
    
    for i,v in ipairs(listOfBullets) do
        v:update(dt)
    end
    
    for i2, v2 in ipairs(listOfGhosts) do
        v2:update(dt)
    end
end

function love.draw()
    camera:attach()
    player:draw()
    
    for i,v in ipairs(listOfBullets) do
        v:draw()
    end
    
    for i2, v2 in ipairs(listOfGhosts) do
        v2:draw()
    end
    world:draw()
    camera:detach()
    camera:draw()
end